	/*

	Copyright (C) 1998 Stefan Westerfeld
                       stefan@space.twc.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    */

#ifndef __EXECDLG_H_
#define __EXECDLG_H_

#include "structure.h"
#include <tqdialog.h>
#include <tqtimer.h>
#include <tqlabel.h>
#include <tqscrollbar.h>
#include <tqlayout.h>

class ExecDlg :public TQDialog {
	Q_OBJECT
  
public:
	TQTimer *cpuusagetimer;
	TQLabel *cpuusagelabel;
	TQVBoxLayout *mainlayout,*sliderlayout;
	ExecutableStructure *structure;

	void start();
	void done(int r);
	ExecDlg(TQWidget *parent, ExecutableStructure *structure);
			
protected slots:
	void updateCpuUsage();
	void guiServerTick();
	void saveSession();
	void help();

signals:
	void ready();
};

#endif
